/*
 * Copyright (c) 2008 appspy.org, Contributors.
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 
 * Unless required by applicable law or agreed to in writing, software distributed under the 
 * License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language governing permissions 
 * and limitations under the License. */

package org.appspy.viewer.client.form;

import java.io.Serializable;
import java.util.HashSet;
import java.util.Set;

/**
 * @author Olivier HEDIN / olivier@appspy.org
 */
public class DashboardColumnForm implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	protected Long mId;
	protected DashboardForm mDashboard;
	protected Integer mIndex;
	protected Integer mWidth;
	protected Set<DashboardReportForm> mDashboardReports = new HashSet<DashboardReportForm>();
	
	/**
	 * @return the dashboardColumnId
	 */
	public Long getId() {
		return mId;
	}
	/**
	 * @param dashboardColumnId the dashboardColumnId to set
	 */
	public void setId(Long dashboardColumnId) {
		this.mId = dashboardColumnId;
	}
	/**
	 * @return the dashboard
	 */
	public DashboardForm getDashboard() {
		return mDashboard;
	}
	/**
	 * @param dashboard the dashboard to set
	 */
	public void setDashboard(DashboardForm dashboard) {
		this.mDashboard = dashboard;
	}
	/**
	 * @return the columnIndex
	 */
	public Integer getIndex() {
		return mIndex;
	}
	/**
	 * @param columnIndex the columnIndex to set
	 */
	public void setIndex(Integer columnIndex) {
		this.mIndex = columnIndex;
	}
	/**
	 * @return the dashboardReports
	 */
	public Set<DashboardReportForm> getDashboardReports() {
		return mDashboardReports;
	}
	/**
	 * @param dashboardReports the dashboardReports to set
	 */
	public void setDashboardReports(Set<DashboardReportForm> dashboardReports) {
		this.mDashboardReports = dashboardReports;
	}
	/**
	 * @return the width
	 */
	public Integer getWidth() {
		return mWidth;
	}
	/**
	 * @param width the width to set
	 */
	public void setWidth(Integer width) {
		this.mWidth = width;
	}
	
}
