/*
 * Copyright (c) 2008 appspy.org, Contributors.
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 
 * Unless required by applicable law or agreed to in writing, software distributed under the 
 * License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language governing permissions 
 * and limitations under the License. */

package org.appspy.viewer.client.form;

import java.io.Serializable;
import java.util.HashSet;
import java.util.Set;

/**
 * @author Olivier HEDIN / olivier@appspy.org
 */
public class DashboardReportForm implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	protected Long mId;
	protected ReportForm mReport;
	protected String mTitle;
	protected Integer mRowIndex;
	protected Integer mHeight;
	protected DashboardColumnForm mDashboardColumn;
	protected Set<DashboardParamBindingForm> mDashboardParamBindings = new HashSet<DashboardParamBindingForm>();
	
	/**
	 * @return the dashboardReportId
	 */
	public Long getId() {
		return mId;
	}
	/**
	 * @param dashboardReportId the dashboardReportId to set
	 */
	public void setId(Long dashboardReportId) {
		this.mId = dashboardReportId;
	}
	/**
	 * @return the report
	 */
	public ReportForm getReport() {
		return mReport;
	}
	/**
	 * @param report the report to set
	 */
	public void setReport(ReportForm report) {
		this.mReport = report;
	}
	/**
	 * @return the rowIndex
	 */
	public Integer getRowIndex() {
		return mRowIndex;
	}
	/**
	 * @param rowIndex the rowIndex to set
	 */
	public void setRowIndex(Integer rowIndex) {
		this.mRowIndex = rowIndex;
	}
	/**
	 * @return the dashboardColumn
	 */
	public DashboardColumnForm getDashboardColumn() {
		return mDashboardColumn;
	}
	/**
	 * @param dashboardColumn the dashboardColumn to set
	 */
	public void setDashboardColumn(DashboardColumnForm dashboardColumn) {
		this.mDashboardColumn = dashboardColumn;
	}
	/**
	 * @return the dashboardParamBindings
	 */
	public Set<DashboardParamBindingForm> getDashboardParamBindings() {
		return mDashboardParamBindings;
	}
	/**
	 * @param dashboardParamBindings the dashboardParamBindings to set
	 */
	public void setDashboardParamBindings(Set<DashboardParamBindingForm> dashboardParamBindings) {
		this.mDashboardParamBindings = dashboardParamBindings;
	}
	/**
	 * @return the height
	 */
	public Integer getHeight() {
		return mHeight;
	}
	/**
	 * @param height the height to set
	 */
	public void setHeight(Integer height) {
		this.mHeight = height;
	}
	/**
	 * @return the reportTitle
	 */
	public String getTitle() {
		return mTitle;
	}
	/**
	 * @param reportTitle the reportTitle to set
	 */
	public void setTitle(String reportTitle) {
		this.mTitle = reportTitle;
	}
}
