/*
 * Copyright (c) 2008 appspy.org, Contributors.
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 
 * Unless required by applicable law or agreed to in writing, software distributed under the 
 * License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language governing permissions 
 * and limitations under the License. */

package org.appspy.viewer.client.form;

import java.io.Serializable;
import java.util.Collection;
import java.util.HashSet;

/**
 * @author Olivier HEDIN / olivier@appspy.org
 */
public class EnvironmentForm implements Serializable {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	protected Long mId = null;
	protected String mCode = null;
	protected String mName = null;
	protected OrganizationForm mOrganization = null;
	protected Collection<HostForm> mHosts = new HashSet<HostForm>();
	
	/**
	 * @return the environmentId
	 */
	public Long getId() {
		return mId;
	}
	/**
	 * @param environmentId the environmentId to set
	 */
	public void setId(Long environmentId) {
		this.mId = environmentId;
	}
	/**
	 * @return the environmentCode
	 */
	public String getCode() {
		return mCode;
	}
	/**
	 * @param environmentCode the environmentCode to set
	 */
	public void setCode(String environmentCode) {
		this.mCode = environmentCode;
	}
	/**
	 * @return the environmentName
	 */
	public String getName() {
		return mName;
	}
	/**
	 * @param environmentName the environmentName to set
	 */
	public void setName(String environmentName) {
		this.mName = environmentName;
	}
	/**
	 * @return the organization
	 */
	public OrganizationForm getOrganization() {
		return mOrganization;
	}
	/**
	 * @param organization the organization to set
	 */
	public void setOrganization(OrganizationForm organization) {
		this.mOrganization = organization;
	}
}
