/*
 * Copyright (c) 2008 appspy.org, Contributors.
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 
 * Unless required by applicable law or agreed to in writing, software distributed under the 
 * License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language governing permissions 
 * and limitations under the License. */

package org.appspy.viewer.client.form;

import java.io.Serializable;
import java.util.Collection;
import java.util.HashSet;

/**
 * @author Olivier HEDIN / olivier@appspy.org
 */
public class HostForm implements Serializable {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	protected Long mId;
	protected String mName;
	protected String mAlias;
	protected Collection<EnvironmentForm> mEnvironments = new HashSet<EnvironmentForm>();

	/**
	 * @return the hostId
	 */
	public Long getId() {
		return mId;
	}

	/**
	 * @param hostId the hostId to set
	 */
	public void setId(Long hostId) {
		this.mId = hostId;
	}

	/**
	 * @return the hostName
	 */
	public String getName() {
		return mName;
	}

	/**
	 * @param hostName the hostName to set
	 */
	public void setName(String hostName) {
		this.mName = hostName;
	}

	/**
	 * @return the hostAlias
	 */
	public String getAlias() {
		return mAlias;
	}

	/**
	 * @param hostAlias the hostAlias to set
	 */
	public void setAlias(String hostAlias) {
		this.mAlias = hostAlias;
	}

	/**
	 * @return the environments
	 */
	public Collection<EnvironmentForm> getEnvironments() {
		return mEnvironments;
	}

	/**
	 * @param environments the environments to set
	 */
	public void setEnvironments(Collection<EnvironmentForm> environments) {
		this.mEnvironments = environments;
	}
}
