/*
 * Copyright (c) 2008 appspy.org, Contributors.
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 
 * Unless required by applicable law or agreed to in writing, software distributed under the 
 * License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language governing permissions 
 * and limitations under the License. */

package org.appspy.viewer.client.form;

import java.io.Serializable;
import java.util.HashSet;
import java.util.Set;

/**
 * @author Olivier HEDIN / olivier@appspy.org
 */
public class ReportForm implements Serializable {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	protected Long mId;
	protected String mName;
	protected Boolean mHidden;
	protected ReportingSystemForm mReportingSystem;
	protected ReportCategoryForm mCategory;
	protected Set<ReportParamForm> mParams = new HashSet<ReportParamForm>();
	/**
	 * @return the reportId
	 */
	public Long getId() {
		return mId;
	}
	/**
	 * @param reportId the reportId to set
	 */
	public void setId(Long reportId) {
		this.mId = reportId;
	}
	/**
	 * @return the reportName
	 */
	public String getName() {
		return mName;
	}
	/**
	 * @param reportName the reportName to set
	 */
	public void setName(String reportName) {
		this.mName = reportName;
	}
	/**
	 * @return the reportingSystem
	 */
	public ReportingSystemForm getReportingSystem() {
		return mReportingSystem;
	}
	/**
	 * @param reportingSystem the reportingSystem to set
	 */
	public void setReportingSystem(ReportingSystemForm reportingSystem) {
		this.mReportingSystem = reportingSystem;
	}
	/**
	 * @return the reportCategory
	 */
	public ReportCategoryForm getCategory() {
		return mCategory;
	}
	/**
	 * @param reportCategory the reportCategory to set
	 */
	public void setCategory(ReportCategoryForm reportCategory) {
		this.mCategory = reportCategory;
	}
	/**
	 * @return the reportParams
	 */
	public Set<ReportParamForm> getParams() {
		return mParams;
	}
	/**
	 * @param reportParams the reportParams to set
	 */
	public void setParams(Set<ReportParamForm> reportParams) {
		this.mParams = reportParams;
	}
	/**
     * @return the hidden
     */
    public Boolean getHidden()
    {
    	return mHidden;
    }
	/**
     * @param hidden the hidden to set
     */
    public void setHidden(Boolean hidden)
    {
    	mHidden = hidden;
    }
}
