/*
 * Copyright (c) 2008 appspy.org, Contributors.
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 
 * Unless required by applicable law or agreed to in writing, software distributed under the 
 * License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language governing permissions 
 * and limitations under the License. */

package org.appspy.viewer.client.form;

import java.io.Serializable;


/**
 * @author Olivier HEDIN / olivier@appspy.org
 */
public class ReportParamForm implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	protected Long mId;
	protected String mName;
	protected Boolean mAsk;
	protected String mPrompt;
	protected String mDefault;
	protected ReportParamChooserForm mChooser;
	protected ReportForm mReport;
	protected DashboardForm mDashboard;

	/**
	 * @return the reportParamId
	 */
	public Long getId() {
		return mId;
	}
	/**
	 * @param reportParamId the reportParamId to set
	 */
	public void setId(Long reportParamId) {
		this.mId = reportParamId;
	}
	/**
	 * @return the reportParamName
	 */
	public String getName() {
		return mName;
	}
	/**
	 * @param reportParamName the reportParamName to set
	 */
	public void setName(String reportParamName) {
		this.mName = reportParamName;
	}
	/**
	 * @return the reportParamAsk
	 */
	public Boolean getAsk() {
		return mAsk;
	}
	/**
	 * @param reportParamAsk the reportParamAsk to set
	 */
	public void setAsk(Boolean reportParamAsk) {
		this.mAsk = reportParamAsk;
	}
	/**
	 * @return the reportParamPrompt
	 */
	public String getPrompt() {
		return mPrompt;
	}
	/**
	 * @param reportParamPrompt the reportParamPrompt to set
	 */
	public void setPrompt(String reportParamPrompt) {
		this.mPrompt = reportParamPrompt;
	}
	/**
	 * @return the reportParamDefault
	 */
	public String getDefault() {
		return mDefault;
	}
	/**
	 * @param reportParamDefault the reportParamDefault to set
	 */
	public void setDefault(String reportParamDefault) {
		this.mDefault = reportParamDefault;
	}
	/**
	 * @return the reportParamChooser
	 */
	public ReportParamChooserForm getChooser() {
		return mChooser;
	}
	/**
	 * @param reportParamChooser the reportParamChooser to set
	 */
	public void setChooser(ReportParamChooserForm reportParamChooser) {
		this.mChooser = reportParamChooser;
	}
	/**
	 * @return the report
	 */
	public ReportForm getReport() {
		return mReport;
	}
	/**
	 * @param report the report to set
	 */
	public void setReport(ReportForm report) {
		this.mReport = report;
	}
	/**
	 * @return the dashboard
	 */
	public DashboardForm getDashboard() {
		return mDashboard;
	}
	/**
	 * @param dashboard the dashboard to set
	 */
	public void setDashboard(DashboardForm dashboard) {
		this.mDashboard = dashboard;
	}
}
