/*
 * Copyright (c) 2008 appspy.org, Contributors.
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 
 * Unless required by applicable law or agreed to in writing, software distributed under the 
 * License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language governing permissions 
 * and limitations under the License. */

package org.appspy.viewer.client.paramchooser;

import java.util.Map;

import org.appspy.viewer.client.ViewerModule;
import org.appspy.viewer.client.form.ReportParamForm;

import com.gwtext.client.widgets.form.Field;
import com.gwtext.client.widgets.form.event.TextFieldListenerAdapter;
import com.gwtext.client.widgets.grid.PropertyGridPanel;

/**
 * @author Olivier HEDIN / olivier@appspy.org
 */
public class OldTextChooser extends TextFieldParamChooser {


	/**
	 * @param viewerModule
	 * @param param
	 * @param propertyGridPanel
	 * @param propertyGridMap
	 */
	public OldTextChooser(ViewerModule viewerModule, ReportParamForm param, PropertyGridPanel propertyGridPanel, Map<String, String> propertyGridMap) {
		super(viewerModule, param, propertyGridPanel, propertyGridMap);
		
		addListener(new TextFieldListenerAdapter(){

			@Override
			public void onChange(Field field, Object newVal, Object oldVal) {
				mParam.setDefault(newVal.toString());
			}});
	}

	/* (non-Javadoc)
	 * @see org.appspy.viewer.client.paramchooser.ParamChooser#getParamDisplayValue()
	 */
	public String getParamDisplayValue() {
		return getValueAsString();
	}

	/* (non-Javadoc)
	 * @see org.appspy.viewer.client.paramchooser.ParamChooser#getParamValue()
	 */
	public String getParamValue() {
		return getValueAsString();
	}

	/* (non-Javadoc)
	 * @see org.appspy.viewer.client.paramchooser.ParamChooser#updateValue()
	 */
	public void updateValue() {
	}

	
}
