/*
 * Copyright (c) 2008 appspy.org, Contributors.
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 
 * Unless required by applicable law or agreed to in writing, software distributed under the 
 * License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language governing permissions 
 * and limitations under the License. */

package org.appspy.viewer.client.paramchooser;

import java.util.Collection;
import java.util.Date;

import org.appspy.viewer.client.form.ReportParamForm;

import com.google.gwt.http.client.URL;
import com.google.gwt.i18n.client.DateTimeFormat;

/**
 * @author Olivier HEDIN / olivier@appspy.org
 */
public class ParamUtils {

	public static String paramsToQueryString(Collection<ReportParamForm> params)
	{
		StringBuffer sb = new StringBuffer();
		for (ReportParamForm param : params) {
			sb.append("&");
			if (param.getChooser().getChooserClass().equals(DateTimeChooser.class.getName()))
			{
				// 27/10/2008 00:00:00
				Date date = DateTimeFormat.getFormat("y/M/d H:m:s").parse(param.getDefault());
				String paramValue = DateTimeFormat.getFormat("yyyy-MM-dd HH:mm:ss").format(date) + ".000";
				sb.append(URL.encode(param.getName())).append("=").append(URL.encode(paramValue));
			}
			else if (param.getChooser().getChooserClass().equals(DateChooser.class.getName()))
			{
				// 27/10/2008 00:00:00
				Date date = DateTimeFormat.getFormat("y/M/d").parse(param.getDefault());
				String paramValue = DateTimeFormat.getFormat("yyyy-MM-dd").format(date);
				sb.append(URL.encode(param.getName())).append("=").append(URL.encode(paramValue));
			}
			else
			{
				sb.append(URL.encode(param.getName())).append("=").append(URL.encode(param.getDefault()));
			}
		}
		
		return sb.toString();
	}
	
	public static void queryStringToParams(String queryString, Collection<ReportParamForm> params)
	{
		String[] s = queryString.split("\\&");
		for (String str : s)
        {
			try
			{
				String[] p = str.split("=");
				String name = p[0];
				String val = p[1];
				for (ReportParamForm param : params)
                {
	                if (param.getName().equals(name))
	                {
	                	param.setDefault(val);
	                }
                }
			}
			catch (Exception ex)
			{
			}
        }
	}
}
