/*
 * Copyright (c) 2008 appspy.org, Contributors.
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 
 * Unless required by applicable law or agreed to in writing, software distributed under the 
 * License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language governing permissions 
 * and limitations under the License. */

package org.appspy.viewer.client.paramchooser;

import org.appspy.viewer.client.ViewerModule;
import org.appspy.viewer.client.form.ReportParamForm;

import com.gwtext.client.widgets.Panel;
import com.gwtext.client.widgets.form.Field;
import com.gwtext.client.widgets.form.TextField;
import com.gwtext.client.widgets.form.event.TextFieldListenerAdapter;

/**
 * @author Olivier HEDIN / olivier@appspy.org
 */
public class TextChooser extends TextField implements ParamChooser {
	
	protected ReportParamForm mParam = null;
	protected ViewerModule mViewerModule = null;
	protected Panel mPropertyPanel = null;
	
	public TextChooser(ViewerModule viewerModule, ReportParamForm param, Panel propertyPanel)
	{
		super();
		mParam = param;
		mViewerModule = viewerModule;
		mPropertyPanel = propertyPanel;
        
		setValue(mParam.getDefault());
		
        addListener(new TextFieldListenerAdapter(){
        	
            @Override
            public void onChange(Field field, Object newVal, Object oldVal)
            {
	            mParam.setDefault(getValueAsString());
            }});
	}
	
	public void updateValue() {
	}

	/* (non-Javadoc)
     * @see org.appspy.viewer.client.paramchooser.ParamChooser#getParam()
     */
    public ReportParamForm getParam()
    {
	    return mParam;
    }

	/* (non-Javadoc)
     * @see org.appspy.viewer.client.paramchooser.ParamChooser#getParamDisplayValue()
     */
    public String getParamDisplayValue()
    {
	    return getValueAsString();
    }

	/* (non-Javadoc)
     * @see org.appspy.viewer.client.paramchooser.ParamChooser#getParamValue()
     */
    public String getParamValue()
    {
	    return getValueAsString();
    }

	/* (non-Javadoc)
     * @see org.appspy.viewer.client.paramchooser.ParamChooser#setParam(org.appspy.viewer.client.form.ReportParamForm)
     */
    public void setParam(ReportParamForm param)
    {
	    mParam = param;
    }

}
