/*
 * Copyright (c) 2008 appspy.org, Contributors.
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 
 * Unless required by applicable law or agreed to in writing, software distributed under the 
 * License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language governing permissions 
 * and limitations under the License. */

package org.appspy.viewer.client.paramchooser;

import org.appspy.viewer.client.ViewerModule;
import org.appspy.viewer.client.form.ReportParamForm;

import com.gwtext.client.widgets.Panel;
import com.gwtext.client.widgets.form.TriggerField;

/**
 * @author Olivier HEDIN / olivier@appspy.org
 */
public abstract class TriggerFieldParamChooser extends TriggerField implements ParamChooser {
	
	protected ReportParamForm mParam = null;
	protected ViewerModule mViewerModule = null;
	protected Panel mPropertyPanel = null;
	
	public TriggerFieldParamChooser(ViewerModule viewerModule, ReportParamForm param, Panel propertyPanel)
	{
		super();
		mParam = param;
		mViewerModule = viewerModule;
		mPropertyPanel = propertyPanel;
		setReadOnly(true);
	}

	/**
	 * @return the param
	 */
	public ReportParamForm getParam() {
		return mParam;
	}

	/**
	 * @param param the param to set
	 */
	public void setParam(ReportParamForm param) {
		mParam = param;
	}

	/**
	 * @return the viewerModule
	 */
	public ViewerModule getViewerModule() {
		return mViewerModule;
	}

	/**
	 * @param viewerModule the viewerModule to set
	 */
	public void setViewerModule(ViewerModule viewerModule) {
		mViewerModule = viewerModule;
	}
}
