/*
 * Copyright (c) 2008 appspy.org, Contributors.
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 
 * Unless required by applicable law or agreed to in writing, software distributed under the 
 * License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language governing permissions 
 * and limitations under the License. */

package org.appspy.viewer.client.paramchooser.old;

import java.util.Map;

import org.appspy.viewer.client.ViewerModule;
import org.appspy.viewer.client.form.ReportParamForm;

import com.gwtext.client.widgets.grid.PropertyGridPanel;

/**
 * @author Olivier HEDIN / olivier@appspy.org
 */
public class ParamChooserFactory {
	public static ParamChooser getParamChooser(ViewerModule viewerModule, ReportParamForm param, PropertyGridPanel propertyGridPanel, Map<String, String> propertyGridMap)
	{
		if (ApplicationChooser.class.getName().equals(param.getChooser().getChooserClass()))
		{
			return new ApplicationChooser(viewerModule, param, propertyGridPanel, propertyGridMap);
		}
		else if (VersionChooser.class.getName().equals(param.getChooser().getChooserClass()))
		{
			return new VersionChooser(viewerModule, param, propertyGridPanel, propertyGridMap);
		}
		else if (OrganizationChooser.class.getName().equals(param.getChooser().getChooserClass()))
		{
			return new OrganizationChooser(viewerModule, param, propertyGridPanel, propertyGridMap);
		}
		else if (EnvironmentChooser.class.getName().equals(param.getChooser().getChooserClass()))
		{
			return new EnvironmentChooser(viewerModule, param, propertyGridPanel, propertyGridMap);
		}
		else if (HostChooser.class.getName().equals(param.getChooser().getChooserClass()))
		{
			return new HostChooser(viewerModule, param, propertyGridPanel, propertyGridMap);
		}
		else if (TextChooser.class.getName().equals(param.getChooser().getChooserClass()))
		{
			return new TextChooser(viewerModule, param, propertyGridPanel, propertyGridMap);
		}
		else if (DateChooser.class.getName().equals(param.getChooser().getChooserClass()))
		{
			return new DateChooser(viewerModule, param, propertyGridPanel, propertyGridMap);
		}
		else if (DateTimeChooser.class.getName().equals(param.getChooser().getChooserClass()))
		{
			return new DateTimeChooser(viewerModule, param, propertyGridPanel, propertyGridMap);
		}
		
		return null;
	}
}
