/*
 * Copyright (c) 2008 appspy.org, Contributors.
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 
 * Unless required by applicable law or agreed to in writing, software distributed under the 
 * License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language governing permissions 
 * and limitations under the License. */

package org.appspy.viewer.client.paramchooser.old;

import java.util.Map;

import org.appspy.viewer.client.ViewerModule;
import org.appspy.viewer.client.form.ReportParamForm;

import com.gwtext.client.widgets.form.TextField;
import com.gwtext.client.widgets.grid.PropertyGridPanel;

/**
 * @author Olivier HEDIN / olivier@appspy.org
 */
public abstract class TextFieldParamChooser extends TextField implements ParamChooser {
	
	protected ReportParamForm mParam = null;
	protected ViewerModule mViewerModule = null;
	protected PropertyGridPanel mPropertyGridPanel = null;
	protected Map<String, String> mPropertyGridMap = null;
	
	public TextFieldParamChooser(ViewerModule viewerModule, ReportParamForm param, PropertyGridPanel propertyGridPanel, Map<String, String> propertyGridMap)
	{
		super();
		mParam = param;
		mViewerModule = viewerModule;
		mPropertyGridPanel = propertyGridPanel;
		mPropertyGridMap = propertyGridMap;
	}

	/**
	 * @return the param
	 */
	public ReportParamForm getParam() {
		return mParam;
	}

	/**
	 * @param param the param to set
	 */
	public void setParam(ReportParamForm param) {
		mParam = param;
	}
}
